Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Developer
singh1985
Posts: 11
Registered: ‎01-08-2011
My Device: Not Specified
Accepted Solution

OS support

 

Hi

 

I am new to BB development.  I have 2 queries

 

1 Is there any difference between terms BB Device software and BB OS ?

2 If an app is designed to support OS 4.5 , then would all devices running

   4.5 and higher version would run the app correctly (assuming resolution

   thing is taken care of) ?

 

Regards

 

 

 

Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.2174, Z10 (STL100-3)-10.3.0.700 Dev OS, Z30 (STA100-5)-10.3.0.700 Dev OS, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: OS support

  1. Can you explain, I don't get the question.
  2. Yes, BlackBerry is forwards compatible. You write the app in 4.5, it works on 4.5, 4.6, 4.7, 5.0, 6.0, 7.0, etc. For some reason some people assume that if you need something like touch support, write it in 4.7 and it will still work on 4.5. Just bringing that up because the issue shows up often enough, only forwards compatible.

Also, though BlackBerry is forwards compatible, you should still test on the different versions. It's not uncommon to write in, say, 4.5 and it works on 4.6, 4.7, 6.0, and 7.0 but not have it work on 5.0 for various reasons.

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
Developer
superdirt
Posts: 541
Registered: ‎05-17-2009
My Device: Not Specified

Re: OS support

[ Edited ]

Just to add on what rcmaniac25 said, I recommend using the 4.7 compiler if you want the greatest compatibility. OS4.7 demands only touch screen input and the 4.5 API has no touch screen support. Even the most basic 4.5 compiled app with a basic user interface may cause a 4.7 device to run in something called "compatibility mode" which you probably do not want.

 

Scott

Please use plain text.
New Developer
singh1985
Posts: 11
Registered: ‎01-08-2011
My Device: Not Specified

Re: OS support

 

Thanks a lot for your time. It has given me a better idea now.

Please use plain text.